import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.Scanner;

public class Client {

	private static final int UNABLE_TO_OBTAIN_SERVER_IP_ADDRESS = -1;
	private static final int UNABLE_TO_OPEN_CLIENT_SOCKET = -2;
	private static final int UNABLE_TO_OPEN_OUTPUT_STREAM = -3;
	private static final int UNABLE_TO_OPEN_INPUT_STREAM = -4;
	private static final int UNABLE_TO_READ_RESONSE_FROM_SERVER = -5;
	
	private static final String SERVER_IP_ADDRESS = "192.168.50.24";
	private static final int SERVER_PORT_NUMBER = 8080;
	
	
	
	public static void main(String[] args) {
		InetAddress serverIPAddress = null;
		
		try {
			serverIPAddress = InetAddress.getByName(SERVER_IP_ADDRESS);
		} catch (UnknownHostException e) {
			e.printStackTrace();
			System.exit(UNABLE_TO_OBTAIN_SERVER_IP_ADDRESS);
		}
		
		Socket socket = null;
		
		try {
			socket = new Socket(serverIPAddress, SERVER_PORT_NUMBER);
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(UNABLE_TO_OPEN_CLIENT_SOCKET);
		}

		OutputStream output = null;
		
		try {
			output = socket.getOutputStream();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(UNABLE_TO_OPEN_OUTPUT_STREAM);
		}
		
		PrintWriter writer = new PrintWriter(output, true);
		
		InputStream input = null;
		
		try {
			input = socket.getInputStream();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(UNABLE_TO_OPEN_INPUT_STREAM);
		}
		
		BufferedReader reader = new BufferedReader(new InputStreamReader(input));
		
		Scanner scanner = new Scanner(System.in);
		
		String text = null;
		String response = null;
		
		do {
			System.out.print("Enter Text: ");
			text = scanner.nextLine();
			
			writer.println(text);
			
			if (!text.equalsIgnoreCase("end")) {
				try {
					response = reader.readLine();
					System.out.println("Response = " + response + "\n\n");
				} catch (IOException e) {
					e.printStackTrace();
					System.exit(UNABLE_TO_READ_RESONSE_FROM_SERVER);
				}
			}
		} while (!text.equalsIgnoreCase("end"));

		System.out.println("Client Is Exiting");
	}

}
